Bug 1847675 - ovn-kube pods should mount /var/run/netns rslave
Summary: ovn-kube pods should mount /var/run/netns rslave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Peter Hunt
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1847674
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-16 19:06 UTC by Peter Hunt
Modified: 2020-07-06 20:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1847674
Environment:
Last Closed: 2020-07-06 20:47:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 669 None closed Bug 1847675: [4.4] mount /var/run/netns rslave in ovnkube 2020-09-21 01:25:42 UTC
Red Hat Product Errata RHBA-2020:2786 None None None 2020-07-06 20:47:39 UTC

Comment 5 Ross Brattain 2020-06-26 19:16:22 UTC
Verified on 4.4.0-0.nightly-2020-06-26-090342


oc exec -c ovnkube-node ovnkube-node-vk4f4 -- stat -f /var/run/netns/hi
  File: "/var/run/netns/hi"
    ID: 0        Namelen: 255     Type: nsfs
Block size: 4096       Fundamental block size: 4096
Blocks: Total: 0          Free: 0          Available: 0
Inodes: Total: 0          Free: 0


Validation note:
This time I created a debug container with /run/netns  mountPropagation: Bidirectional and that worked.
Also tested with root ssh via bastion to node.

Comment 7 errata-xmlrpc 2020-07-06 20:47:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2786


Note You need to log in before you can comment on or make changes to this bug.